﻿
/*首頁*/
#index{
    width: 100%;
    position: relative;
}

.index-class{
    width: 1300px;
    max-width: 100%;
    margin: 0 auto;
    font-size: 0;
}

.index-icon{
    text-align: center;
    max-width: 100%;
    margin: 100px auto;
}


.index-icon  p{
    font-size: 50px;
    letter-spacing: 3px;
    line-height: 40px;
    display: inline-block;
    vertical-align: middle;
}
/* 列表 */
.products-class-box{
    text-align: center;
}
.products-class-list {
    display: inline-block;
    margin: 10px;
    font-size: 20px;
    color: #fff;
    background-color: blue;
    width: 150px;
    padding: 3px 0;
    border: 3px solid green;
}
.products-class-list a{
    display: block;
}
.index-news-list-box{
    width: 100%;
    display: block;
    font-size: 0;
    margin-bottom: 50px;
}
.index-news-list{
    width: 100%;
    padding: 15px 10px;
    box-sizing: border-box;
    display: block;
    border-bottom: 1px solid #a0a0a0;
    transition: all .3s linear;
}
.index-news-list-box .index-news-list:first-child{
    border-top: 1px solid #a0a0a0;
}
.index-news-list-date{
    font-size: 14px;
    color: #000;
    display: inline-block;
    vertical-align: middle;
    width: 200px;
    max-width: 100%;
    letter-spacing: 1px;
    transition: all .3s linear;
}
.index-news-list-text{
    font-size: 16px;
    color: #000;
    display: inline-block;
    vertical-align: middle;
    overflow: hidden;
    width: calc(100% - 305px);
    transition: all .3s linear;
}
.index-news-more{
    width: 95px;
    max-width: 100%;
    display: inline-block;
    vertical-align: middle;
    height: 30px;
    border: 1px solid #000000;
    box-sizing: border-box;
    margin-left: 10px;
    font-size: 16px;
    text-align: center;
    letter-spacing: 1px;
    font-family: 'Teko';
    line-height: 32px;
    background-color: #FFF;
}

.news-box,
.news-page-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
}

.news-page-info-box{
    width: 100%;
    display: block;
    margin-top: 50px;
}
.news-page-title{
    font-size: 24px;
    color: #ea5b31;
    font-weight: bold;
    letter-spacing: 2px;
    display: block;
}
.news-page-date{
    font-size: 16px;
    letter-spacing: 2px;
    color: #555555;
    padding: 20px 0;

}
.news-page-line{
    width: 100%;
    height: 1px;
    display:block;
    margin-bottom: 20px;
    background-color: #ea5b31;
}
.edit-box{
    font-size: 18px;
    color: #555;
    line-height: 2;
    min-height: 250px;
}
.news-page-back{
    text-align: center;
    width: 300px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
}
.news-page-back-img{
    display: inline-block;

}
.news-page-back span{
    font-size: 16px;
    color:  #ea5b31;
    letter-spacing: 25px;
    display: inline-block;
    vertical-align: middle;
    padding-left: 25px;
}

/* 內頁 */
.news-box,
.news-page-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
}

.news-page-info-box{
    width: 100%;
    display: block;
    margin-top: 50px;
}
.news-page-title{
    font-size: 24px;
    color: blue;
    font-weight: bold;
    letter-spacing: 2px;
    display: block;
}
.news-page-date{
    font-size: 16px;
    letter-spacing: 2px;
    color: #555555;
    padding: 20px 0;

}
.news-page-line{
    width: 100%;
    height: 1px;
    display:block;
    margin-bottom: 20px;
    background-color: blue;
}
.edit-box{
    font-size: 18px;
    color: #555;
    line-height: 2;
    min-height: 250px;
}
.s_editor{
    min-height: auto;
    margin-bottom: 20px;
}
.s_editor textarea{
    resize: none;
    width: 100%;
    min-height: 300px;
}
.edit-remarks{
    font-size: 25px;
    color: green;
}
.news-page-back{
    text-align: center;
    width: 300px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
}
.news-page-back-img{
    display: inline-block;

}
.news-page-back span{
    font-size: 16px;
    color:  blue;
    letter-spacing: 25px;
    display: inline-block;
    vertical-align: middle;
    padding-left: 25px;
}
.button{
    width: 100%;
    display: block;
    position: relative;
    padding: 20px 0;
    margin: 10px 0;
}
.button input {
    width: 300px;
    height: 50px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    border: 0;
    background-color: blue;
    transition: all .3s linear;
    cursor: pointer;
    -webkit-tap-highlight-color: transparent;
    -webkit-appearance: none;
}
.button-label {
    font-size: 22px;
    font-weight: bold;
    letter-spacing: 2px;
    color: #FFF;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    text-align: center;
    margin-top: 20px;
    height: 50px;
    line-height: 50px;
    transition: all .3s linear;
    cursor: pointer;
    pointer-events: none;
}
/* 分頁 */
.page{
  margin: 40px 0;
    text-align: center;
}
.page .prev {
    padding-right: 10px;
}
.page .select {
    color: blue;
}
.page a {
    font-size: 16px;
    padding: 0 10px;
    color: #555555;
    display: inline-block;
    vertical-align: middle;
}


.page .next {
    padding-left: 10px;
}

/* Hover */
.index-news-list:hover {
    background-color: blue;
}
.index-news-list:hover .index-news-list-date,
.index-news-list:hover .index-news-list-text{
        color: #FFF;
}
.button input:hover {
    border-radius: 20px;
}
.products-class-list:hover,
.products-class-list.active{
    background-color: #fff;
    color: #000;
}